Page MenuHomePhabricator

Project icon files are missing
Closed, ResolvedPublic

Description

Project icon files (the generic icon+color) are missing from several projects.

They have been present on 22nd February and disappeared after that, more exact time unknown ATM.

I timeline of those projects it says:

<username> set the image for <projectname> to Unknown Object (File).

All active goals should have the project icon orange flag.
Most of active timelines should have either own icon or green calendar.
Etc...

According to @mmodell on IRC, at least one of the files is missing from db completely.

Corrupted db?

Revisions and Commits

Event Timeline

Danny_B created this task.Feb 26 2016, 2:28 AM
Restricted Application added subscribers: StudiesWorld, scfc, Aklapper. · View Herald TranscriptFeb 26 2016, 2:28 AM

The odd thing is that when phabricator generates a profile image using the 'icon + background color' feature, it seems to make a unique image each time rather than reusing some standard images with transparency and a background color (client-side compositing) or at least de-duplicating the data server-side.

I can't see any reason why a bunch of images would go missing but I did verify that at least in a couple of the examples, the query for the profile image file indeed returns zero results from mysql.

mmodell triaged this task as Medium priority.Feb 26 2016, 2:35 AM

The odd thing is that when phabricator generates a profile image using the 'icon + background color' feature, it seems to make a unique image each time rather than reusing some standard images with transparency and a background color (client-side compositing) or at least de-duplicating the data server-side.

Just for the record: That was also in the old version of Phabricator.

Might there be any cronjob or anything like that which would actually do the maintenance of files? I remember seeing in some projects that although the image stayed the same, the filename has changed.

mmodell added a comment.EditedFeb 26 2016, 3:10 AM

@Danny_B: Phabricator prefixes the file's path with a session-based hash which will change over time. This is a protection so that files with a security policy cannot be direct-linked and then accessed by unauthenticated users. (This could be why the name changed over time)

Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptMay 9 2016, 2:47 AM
Qgil added a subscriber: Qgil.EditedMay 19 2016, 12:36 PM

Asking in relation to T135327: do we know how big is the impact / the damage?

There is no question that this is a bug, but I wonder whether it is relevant enough for us to fund its fix.

Assuming it's standalone bug - let it be, not worth to spend WMF resources on it.
Assuming it's some more global issue with db - definitely look at it to assure no other data (comments, pholios, pastes etc...) won't be lost.

Someone has to decide though whether it's standalone or global... Upstream report doesn't give that answer ATM...

Danny_B moved this task from To Triage to Upgrades on the Phabricator board.Jul 9 2016, 8:16 PM

This is an upstream bug so I'm removing operations and dba.

The patch has been deployed. Hopefully this resolves the issue completely.

The patch has been deployed. Hopefully this resolves the issue completely.

Anyone can confirm? Or should we just close this task as resolved?

mmodell closed this task as Resolved.Nov 8 2016, 12:22 AM
mmodell claimed this task.